## org.apache.axis.deployment.wsdd
Class WSDDDeployment

    java.lang.Object
      |
      +--org.apache.axis.deployment.wsdd.WSDDConstants
            |
            +--org.apache.axis.deployment.wsdd.WSDDElement
                  |
                  +--org.apache.axis.deployment.wsdd.WSDDDeployment

All Implemented Interfaces:
  EngineConfiguration, java.io.Serializable, WSDDEngineConfiguration, WSDDTypeMappingContainer

public class WSDDDeployment
extends WSDDElement
implements WSDDTypeMappingContainer, WSDDEngineConfiguration

WSDD deployment element

Author:
  James Snell, Glen Daniels (gdaniels@apache.org)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` `log`

Fields inherited from class org.apache.axis.deployment.wsdd.WSDDConstants

`ATTR_ATTACHMENT_FORMAT, ATTR_CLASS, ATTR_CLASSNAME, ATTR_DESERIALIZER, ATTR_ENCSTYLE, ATTR_INHEADER, ATTR_LANG_SPEC_TYPE, ATTR_LOCKED, ATTR_MODE, ATTR_NAME, ATTR_OUTHEADER, ATTR_PIVOT, ATTR_PROVIDER, ATTR_QNAME, ATTR_RETHEADER, ATTR_RETQNAME, ATTR_RETTYPE, ATTR_SERIALIZER, ATTR_SOAPACTORNAME, ATTR_STREAMING, ATTR_STYLE, ATTR_TYPE, ATTR_USE, ATTR_VALUE, BEAN_DESERIALIZER_FACTORY, BEAN_SERIALIZER_FACTORY, ELEM_WSDD_BEANMAPPING, ELEM_WSDD_CHAIN, ELEM_WSDD_DEPLOY, ELEM_WSDD_DOC, ELEM_WSDD_ELEMENTMAPPING, ELEM_WSDD_ENDPOINTURL, ELEM_WSDD_FAULT, ELEM_WSDD_FAULTFLOW, ELEM_WSDD_GLOBAL, ELEM_WSDD_HANDLER, ELEM_WSDD_JAXRPC_CHAIN, ELEM_WSDD_JAXRPC_HANDLERINFO, ELEM_WSDD_JAXRPC_HEADER, ELEM_WSDD_JAXRPC_ROLE, ELEM_WSDD_NAMESPACE, ELEM_WSDD_OPERATION, ELEM_WSDD_PARAM, ELEM_WSDD_REQFLOW, ELEM_WSDD_RESPFLOW, ELEM_WSDD_SERVICE, ELEM_WSDD_TRANSPORT, ELEM_WSDD_TYPEMAPPING, ELEM_WSDD_UNDEPLOY, ELEM_WSDD_WSDLFILE, NS_PREFIX_WSDD, NS_PREFIX_WSDD_JAVA, PROVIDER_BSF, PROVIDER_COM, PROVIDER_CORBA, PROVIDER_EJB, PROVIDER_HANDLER, PROVIDER_MSG, PROVIDER_RMI, PROVIDER_RPC, QNAME_BEANMAPPING, QNAME_BSF_PROVIDER, QNAME_CHAIN, QNAME_COM_PROVIDER, QNAME_CORBA_PROVIDER, QNAME_DEPLOY, QNAME_DOC, QNAME_EJB_PROVIDER, QNAME_ELEMENTMAPPING, QNAME_ENDPOINTURL, QNAME_FAULT, QNAME_FAULTFLOW, QNAME_GLOBAL, QNAME_HANDLER, QNAME_HANDLER_PROVIDER, QNAME_JAVAMSG_PROVIDER, QNAME_JAVARPC_PROVIDER, QNAME_JAXRPC_HANDLERINFO, QNAME_JAXRPC_HANDLERINFOCHAIN, QNAME_JAXRPC_HEADER, QNAME_JAXRPC_ROLE, QNAME_NAMESPACE, QNAME_OPERATION, QNAME_PARAM, QNAME_REQFLOW, QNAME_RESPFLOW, QNAME_RMI_PROVIDER, QNAME_SERVICE, QNAME_TRANSPORT, QNAME_TYPEMAPPING, QNAME_UNDEPLOY, QNAME_WSDLFILE, URI_WSDD, URI_WSDD_HANDLER, URI_WSDD_JAVA, URI_WSDD_WSDD_BSF, URI_WSDD_WSDD_COM`

Fields inherited from interface org.apache.axis.EngineConfiguration
`PROPERTY_NAME`

Constructor Summary
`WSDDDeployment()` Default constructor
`WSDDDeployment(org.w3c.dom.Element e)` Create an element in WSDD that wraps an extant DOM element

Method Summary
`protected void` `addHandler(WSDDHandler handler)`
`protected void` `addService(WSDDService service)`
`protected void` `addTransport(WSDDTransport transport)`
`void` `configureEngine(AxisEngine engine)` Configure this AxisEngine using whatever data source we have.
`void` `deployHandler(WSDDHandler handler)` Put a WSDDHandler into this deployment, replacing any other WSDDHandler which might already be present with the same QName.
`void` `deployService(WSDDService service)` Put a WSDDService into this deployment, replacing any other WSDDService which might already be present with the same QName.
`void` `deployToRegistry(WSDDDeployment target)`
`void` `deployTransport(WSDDTransport transport)` Put a WSDDTransport into this deployment, replacing any other WSDDTransport which might already be present with the same QName.
`void` `deployTypeMapping(WSDDTypeMapping typeMapping)`
`java.util.Iterator` `getDeployedServices()` Get an enumeration of the services deployed to this engine
`WSDDDeployment` `getDeployment()`
`protected QName` `getElementName()` Return the element name of a particular subclass.
`AxisEngine` `getEngine()`
`WSDDGlobalConfiguration` `getGlobalConfiguration()` Get our global configuration
`java.util.Hashtable` `getGlobalOptions()` Returns the global configuration options.
`Handler` `getGlobalRequest()` Returns a global request handler.
`Handler` `getGlobalResponse()` Returns a global response handler.
`Handler` `getHandler(QName name)` retrieve an instance of the named handler
`SOAPService` `getService(QName name)` retrieve an instance of the named service
`SOAPService` `getServiceByNamespaceURI(java.lang.String namespace)` Get a service which has been mapped to a particular namespace
`WSDDService[]` `getServices()` Return an array of the services in this deployment
`Handler` `getTransport(QName name)` retrieve an instance of the named transport
`TypeMapping` `getTypeMapping(java.lang.String encodingStyle)`
`TypeMappingRegistry` `getTypeMappingRegistry()` Retrieve the TypeMappingRegistry for this engine
`WSDDTypeMapping[]` `getTypeMappings()`
`WSDDService` `getWSDDService(QName qname)` Return the WSDD description for a given named service
`void` `registerNamespaceForService(java.lang.String namespace, WSDDService service)` Register a particular namepsace which maps to a given WSDDService.
`void` `removeNamespaceMapping(java.lang.String namespace)` Remove a namespace -> WSDDService mapping.
`void` `setGlobalConfiguration(WSDDGlobalConfiguration globalConfig)`
`void` `undeployHandler(QName qname)` Remove a named handler
`void` `undeployService(QName qname)` Remove a named service
`void` `undeployTransport(QName qname)` Remove a named transport
`void` `writeEngineConfig(AxisEngine engine)` Read the configuration from an engine, and store it somehow.
`void` `writeToContext(SerializationContext context)` Write this element out to a SerializationContext

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDElement
`getChildElement, getChildElements, getDocumentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### WSDDDeployment

    public WSDDDeployment()

  Default constructor

### WSDDDeployment

    public WSDDDeployment(org.w3c.dom.Element e)
                   throws WSDDException

  Create an element in WSDD that wraps an extant DOM element

Parameters:
  `e` - (Element) XXX
Throws:
  `WSDDException` - XXX

Method Detail

### addHandler

    protected void addHandler(WSDDHandler handler)

### addService

    protected void addService(WSDDService service)

### addTransport

    protected void addTransport(WSDDTransport transport)

### deployHandler

    public void deployHandler(WSDDHandler handler)

  Put a WSDDHandler into this deployment, replacing any other WSDDHandler which might already be present with the same QName.

  Parameters:
    `handler` - a WSDDHandler to insert in this deployment

### deployTransport

    public void deployTransport(WSDDTransport transport)

  Put a WSDDTransport into this deployment, replacing any other WSDDTransport which might already be present with the same QName.

  Parameters:
    `transport` - a WSDDTransport to insert in this deployment

### deployService

    public void deployService(WSDDService service)

  Put a WSDDService into this deployment, replacing any other WSDDService which might already be present with the same QName.

  Parameters:
    `service` - a WSDDHandler to insert in this deployment

### undeployHandler

    public void undeployHandler(QName qname)

  Remove a named handler

  Parameters:
    `qname` - the QName of the handler to remove

### undeployService

    public void undeployService(QName qname)

  Remove a named service

  Parameters:
    `qname` - the QName of the service to remove

### undeployTransport

    public void undeployTransport(QName qname)

  Remove a named transport

  Parameters:
    `qname` - the QName of the transport to remove

### deployTypeMapping

    public void deployTypeMapping(WSDDTypeMapping typeMapping)
                           throws WSDDException

  Specified by:
    `deployTypeMapping` in interface `WSDDTypeMappingContainer`
    `WSDDException`

### getElementName

    protected QName getElementName()

  Description copied from class: `WSDDElement`
  Return the element name of a particular subclass.

  Specified by:
    `getElementName` in class `WSDDElement`

### deployToRegistry

    public void deployToRegistry(WSDDDeployment target)
                          throws ConfigurationException

    `ConfigurationException`

### writeToContext

    public void writeToContext(SerializationContext context)
                        throws java.io.IOException

  Description copied from class: `WSDDElement`
  Write this element out to a SerializationContext

  Specified by:
    `writeToContext` in class `WSDDElement`
    `java.io.IOException`

### getGlobalConfiguration

    public WSDDGlobalConfiguration getGlobalConfiguration()

  Get our global configuration

  Returns:
    XXX

### setGlobalConfiguration

    public void setGlobalConfiguration(WSDDGlobalConfiguration globalConfig)

### getTypeMappings

    public WSDDTypeMapping[] getTypeMappings()

  Returns:
    XXX

### getServices

    public WSDDService[] getServices()

  Return an array of the services in this deployment

### getWSDDService

    public WSDDService getWSDDService(QName qname)

  Return the WSDD description for a given named service

### getHandler

    public Handler getHandler(QName name)
                       throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  retrieve an instance of the named handler

  Specified by:
    `getHandler` in interface `EngineConfiguration`
  Parameters:
    `name` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### getTransport

    public Handler getTransport(QName name)
                         throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  retrieve an instance of the named transport

  Specified by:
    `getTransport` in interface `EngineConfiguration`
  Parameters:
    `name` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### getService

    public SOAPService getService(QName name)
                           throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  retrieve an instance of the named service

  Specified by:
    `getService` in interface `EngineConfiguration`
  Parameters:
    `name` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### getServiceByNamespaceURI

    public SOAPService getServiceByNamespaceURI(java.lang.String namespace)
                                         throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Get a service which has been mapped to a particular namespace

  Specified by:
    `getServiceByNamespaceURI` in interface `EngineConfiguration`
  Parameters:
    `namespace` - a namespace URI
  Returns:
    an instance of the appropriate Service, or null
    `ConfigurationException`

### configureEngine

    public void configureEngine(AxisEngine engine)
                         throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Configure this AxisEngine using whatever data source we have.

  Specified by:
    `configureEngine` in interface `EngineConfiguration`
  Parameters:
    `engine` - the AxisEngine we'll deploy state to
  Throws:
    `ConfigurationException` - if there was a problem

### writeEngineConfig

    public void writeEngineConfig(AxisEngine engine)
                           throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Read the configuration from an engine, and store it somehow.

  Specified by:
    `writeEngineConfig` in interface `EngineConfiguration`
  Parameters:
    `engine` - the AxisEngine from which to read state.
  Throws:
    `ConfigurationException` - if there was a problem

### getTypeMapping

    public TypeMapping getTypeMapping(java.lang.String encodingStyle)
                               throws ConfigurationException

    `ConfigurationException`

### getTypeMappingRegistry

    public TypeMappingRegistry getTypeMappingRegistry()
                                               throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Retrieve the TypeMappingRegistry for this engine

  Specified by:
    `getTypeMappingRegistry` in interface `EngineConfiguration`
    `ConfigurationException`

### getGlobalRequest

    public Handler getGlobalRequest()
                             throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Returns a global request handler.

  Specified by:
    `getGlobalRequest` in interface `EngineConfiguration`
    `ConfigurationException`

### getGlobalResponse

    public Handler getGlobalResponse()
                              throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Returns a global response handler.

  Specified by:
    `getGlobalResponse` in interface `EngineConfiguration`
    `ConfigurationException`

### getGlobalOptions

    public java.util.Hashtable getGlobalOptions()
                                         throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Returns the global configuration options.

  Specified by:
    `getGlobalOptions` in interface `EngineConfiguration`
    `ConfigurationException`

### getDeployedServices

    public java.util.Iterator getDeployedServices()
                                           throws ConfigurationException

  Get an enumeration of the services deployed to this engine

  Specified by:
    `getDeployedServices` in interface `EngineConfiguration`
  Returns:
    something to iterate with
    `ConfigurationException`
  See Also:
    `ServiceDesc`

### registerNamespaceForService

    public void registerNamespaceForService(java.lang.String namespace,
                                            WSDDService service)

  Register a particular namepsace which maps to a given WSDDService. This will be used for namespace-based dispatching.

  Parameters:
    `namespace` - a namespace URI
    `service` - the target WSDDService

### removeNamespaceMapping

    public void removeNamespaceMapping(java.lang.String namespace)

  Remove a namespace -> WSDDService mapping.

  Parameters:
    `namespace` - the namespace URI to unmap

### getEngine

    public AxisEngine getEngine()

### getDeployment

    public WSDDDeployment getDeployment()

  Specified by:
    `getDeployment` in interface `WSDDEngineConfiguration`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.